//下面是用鼠标拖动某个物体的函数

var MoveAbled=false;   //当false时，不能移动物体，当true时，才能移动
var StartX=0;          //当鼠标按下时的X坐标
var StartY=0;          //当鼠标按下时的Y坐标
var ObjectMoved;       //待移动的对象的style
var SelectOb=true;     //当选择移动块中的其他单元时，不要移动。

function StartMove(ObMoved){
 //当鼠标按下时，取得鼠标的坐标，并允许移动
 //ObMoved为要移动的对象
 MoveAbled=true;
 StartX=window.event.x;
 StartY=window.event.y;
 ObjectMoved=ObMoved;
}


function MoveObject(){
 if(MoveAbled&&SelectOb){
   var X=window.event.x;     //鼠标的当前位置
   var Y=window.event.y;
   ObjectMoved.style.left=ObjectMoved.style.pixelLeft+X-StartX;
   ObjectMoved.style.top=ObjectMoved.style.pixelTop+Y-StartY;
   StartX=window.event.x;
   StartY=window.event.y;
 };
}
//该函数是为解决控制面板档不住Select控件而设计的，当移动控制面板时用该函数，而不用上面的函数
function MoveObjectTC(){
 if(MoveAbled&&SelectOb){
   var X=window.event.x;     //鼠标的当前位置
   var Y=window.event.y;
   //移动控制面板时，同时移动IFrame,IFrame的ID必须是IF1
   //var tablewidth=tc.offsetWidth;
   //var tableheight=tc.offsetHeight;
   //document.all.IF1.style.width=tablewidth;
   //document.all.IF1.style.height=tableheight;
   document.all.IF1.style.left=ObjectMoved.style.left=ObjectMoved.style.pixelLeft+X-StartX;
   document.all.IF1.style.top=ObjectMoved.style.top=ObjectMoved.style.pixelTop+Y-StartY;
   StartX=window.event.x;
   StartY=window.event.y;
 };
}

//该函数是在装载页面时把IFrame移动到控制面板下面的函数
function MoveIF(){
 var tablewidth=tc.offsetWidth;
 var tableheight=tc.offsetHeight;
 document.all.IF1.style.width=tablewidth;
 document.all.IF1.style.height=tableheight;
 document.all.IF1.style.left=tc.style.pixelLeft;
 document.all.IF1.style.top=tc.style.pixelTop;
}




function EndMove(){
 //当放开鼠标时，以及鼠标移出了对象时，结束移动
 MoveAbled=false;
}

function ForbidSelect(){
 //当移动控制面板时，如果选择到了底图，会影响移动效果，要使在onselectstart事件发生时无效。
 if(MoveAbled&&SelectOb){
  return false;
 }else{
  return true;
 }
}